Skip to content

Account Entries

GET
/api/v2/accounts/{accountId}/entries
Code sample: Shell / cURL
curl --request GET \
--url 'https://api.ztlpay.io/api/v2/accounts/example/entries?fromDate=2025-01-01&toDate=2025-01-02' \
--header 'Authorization: Bearer <token>' \
--header 'PSU-IP-Address: 192.158.1.38' \
--header 'PSU-User-Agent: Mozilla/5.0 (Windows NT 10.0; …) Gecko/20100101 Firefox/63.0' \
--header 'consent-id: 3a797348-ef0c-4f52-b821-fdfcdb98c4d9'

Retrieve the latest transaction entries on the account. The maximum date range supported varies with banks, see Supported Banks-endpoint to retrieve the specific banks max date range.

accountId
required
string

The ID of the account, as retrieved from the list of accounts. The account ID is sometimes the same as the account bban, but this is not always the case. Also, the account ID may change each time a consent is created/refreshed.

consent-id
required
string format: uuid
Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9

A valid consentId

PSU-IP-Address
string
Example
192.158.1.38

AAA IP Address of the end-user initiating the payment. DO NOT use any other IP address than what you can collect from the current user session that uses your system (don’t use something stored in your DB). This information is used by the banks to manage traffic and handle security.

PSU-User-Agent
string

The forwarded Agent header field of the HTTP request between PSU and TPP.

Example
Mozilla/5.0 (Windows NT 10.0; …) Gecko/20100101 Firefox/63.0
fromDate
string format: date, ISO-8601

Entries start date, inclusive

Example
2025-01-01
toDate
string format: date, ISO-8601

Entries end date, inclusive

Example
2025-01-02

Successfully retrieved entries

Media typeapplication/json
object
accountEntries
Array
object
transactionId

Unique Identifier for entry provided by ASPSP

string
postedAmount
required

Amount for transaction

object
amount

The monetary amount, two decimals, max value 999999999999.99, always positive

number
currency

The currency of the transaction

string
type
required

Posting type

string
Allowed values: Debit Credit
status
required

Status of the posting

string
Allowed values: Pending Booked
bookingDateTime
string format: date
valueDateTime
string format: date
purposeText

Purpose of transfer.

string
remittanceInformation
required

Remittance information

object
reference
string
unstructured
string
creditor
object
name

Name of the account holder

string
bban

Account number in BBAN format

string format: bban
iban

Account number in IBAN format

string format: iban
debtor
object
name

Name of the account holder

string
bban

Account number in BBAN format

string format: bban
iban

Account number in IBAN format

string format: iban
endToEndId
string
Example
{
"accountEntries": [
{
"transactionId": "d1f669f2-1234-abcd-aabb-ff0cc229b485",
"postedAmount": {
"amount": 99.5,
"currency": "NOK"
},
"type": "Debit",
"status": "Pending",
"bookingDateTime": "2025-01-02",
"valueDateTime": "2025-01-01",
"purposeText": "Overføring Innland",
"remittanceInformation": {
"reference": 75025049,
"unstructured": "Transfer of funds"
},
"creditor": {
"bban": 12043175449,
"iban": "NO0812043175449"
},
"debtor": {
"bban": 12043175449,
"iban": "NO0812043175449"
}
}
]
}

Bad Request

Media typeapplication/json
object
failure
  • INVALID_CONSENT Consent is invalid
  • INVALID_ACCOUNT Account is either missing or invalid
  • ACCESS_DENIED PSU is not allowed to access resource
string
Allowed values: INVALID_CONSENT INVALID_ACCOUNT ACCESS_DENIED
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
Example
{
"failure": "INVALID_CONSENT",
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9",
"message": "Invalid account"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9

Forbidden

Media typeapplication/json
object
failure
  • INACTIVE_SUBSCRIPTION The company does not have an active subscription to ZTL’s services
string
Allowed values: INACTIVE_SUBSCRIPTION
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
Example
{
"failure": "INACTIVE_SUBSCRIPTION",
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9

Not found

Media typeapplication/json
object
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
Example
{
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9",
"message": "Invalid account"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9

Conflict

Media typeapplication/json
object
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
Example
{
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9",
"message": "Invalid account"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9

Internal server error

Media typeapplication/json
object
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
Example
{
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9",
"message": "Invalid account"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9

Service unavailable

Media typeapplication/json
object
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
Example
{
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9",
"message": "Invalid account"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9